Package com.io7m.idstore.database.api

# Record Class IdDatabaseTelemetry

java.lang.Object
java.lang.Record
com.io7m.idstore.database.api.IdDatabaseTelemetry

Record Components:
  `isNoOp` - `true` if telemetry is in no-op mode
  `meter` - The meter
  `tracer` - The tracer

public record IdDatabaseTelemetry(boolean isNoOp, io.opentelemetry.api.metrics.Meter meter, io.opentelemetry.api.trace.Tracer tracer) extends Record
Interfaces used for database telemetry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdDatabaseTelemetry(boolean isNoOp, io.opentelemetry.api.metrics.Meter meter, io.opentelemetry.api.trace.Tracer tracer)`
  Interfaces used for database telemetry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isNoOp()`
  Returns the value of the `isNoOp` record component.
  `io.opentelemetry.api.metrics.Meter`
  `meter()`
  Returns the value of the `meter` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `io.opentelemetry.api.trace.Tracer`
  `tracer()`
  Returns the value of the `tracer` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdDatabaseTelemetry

    public IdDatabaseTelemetry(boolean isNoOp, io.opentelemetry.api.metrics.Meter meter, io.opentelemetry.api.trace.Tracer tracer)
    Interfaces used for database telemetry.
    Parameters:
      `isNoOp` - `true` if telemetry is in no-op mode
      `meter` - The meter
      `tracer` - The tracer

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### isNoOp

    public boolean isNoOp()
    Returns the value of the `isNoOp` record component.
    Returns:
      the value of the `isNoOp` record component

  - ### meter

    public io.opentelemetry.api.metrics.Meter meter()
    Returns the value of the `meter` record component.
    Returns:
      the value of the `meter` record component

  - ### tracer

    public io.opentelemetry.api.trace.Tracer tracer()
    Returns the value of the `tracer` record component.
    Returns:
      the value of the `tracer` record component